Skip to content

API Reference

Update transaction alerts in batch

PUT /v2/transaction_alert https://api.cable.tech

Authentication

  • Bearer token in the Authorization header transaction_alert:write

Request body

application/json list of objects

An array of transaction alert update payloads. Each payload must include the ‘alert_id’ to identify the alert and can include any other fields that need to be updated. The ‘timestamp’ field represents the time of update.

  • alert_id string required

    Unique identifier for a alert belonging to a transaction. This is the primary key for a transaction alert and should be unique across all transaction alerts. Updates to a transaction alert should be made using this identifier.

  • is_test boolean

    Set to true if this is a test transaction alert

    Default false

  • status string

    Allowed values CREATEDPENDINGCLOSED

  • check_type string

    The type of monitoring check that triggered the alert.

    Allowed values INLINE_MONITORINGDELAYED_MONITORING

  • related_check_id string

    Unique identifier for a transaction check for which the alert belongs to.

  • related_tx_ids list of strings

    Unique identifiers for transactions which the alert relates to.

  • timestamp string required

    When this alert was generated in your system, in ISO 8601 format.

    Format date-time

Responses

200 Transaction alert updated successfully

  • success boolean required

    Indicates if the write operation was successful.

  • write_count integer required

    The number of records written to the database.

    Format int32

  • message string required

    Provides additional information about the operation result.

  • organization_id string required

    The organization ID for which the operation was performed.

Errors

  • 400 Invalid transaction alert data
  • 401 Unauthorized request
  • 404 Transaction alert not found
  • 429 Rate limit exceeded
  • 500 Server error
  • default General error

Error body 400401404429500default

  • code integer required

    Format int32

  • message string required
  • errors list of objects

    Detailed information about errors in specific fields.

    • field string
    • message string